publication:
  class: sfDoctrineRouteCollection
  options:
    model:                publication
    module:               publications
    prefix_path:          /publications
    column:               id
    with_wildcard_routes: true

offre:
  class: sfDoctrineRouteCollection
  options:
    model:                offre
    module:               offres
    prefix_path:          /offres
    column:               id
    with_wildcard_routes: true

contact:
  class: sfDoctrineRouteCollection
  options:
    model:                contact
    module:               contacts
    prefix_path:          /contacts
    column:               id
    with_wildcard_routes: true

carriere:
  class: sfDoctrineRouteCollection
  options:
    model:                carriere
    module:               carrieres
    prefix_path:          /carrieres
    column:               id
    with_wildcard_routes: true

mediaarticle:
  url:   /mediaarticle
  param: { module: mediaarticle, action: index }

configgeneral:
  url:   /configurationgeneral
  param: { module: daYamlEditor, action: index }

homepage:
  url:   /
  param: { module: sfAdminDash, action: dashboard }
#routes de sfGuardUser
sf_guard_signin:
  url:   /login
  param: { module: sfGuardAuth, action: signin }
sf_guard_signout:
  url:   /logout
  param: { module: sfGuardAuth, action: signout }
sf_guard_password:
  url:   /request_password
  param: { module: sfGuardAuth, action: password }
sfGuardUser:
  url:   /sfGuardUser
  param: { module: sfGuardUser, action: index }
sfGuardGroup:
  url:   /sfGuardGroup
  param: { module: sfGuardGroup, action: index }
sfGuardPermission:
  url:   /sfGuardPermission
  param: { module: sfGuardPermission, action: index }

# generic rules
# please, remove them by adding more specific rules
default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*
